Page MenuHomePhabricator

Horizontal gradient appearing on right side of text for RTL page previews
Closed, ResolvedPublic1 Story Points

Description

Testing notes

Scenario 1: Text truncation on an RTL page for an RTL page

  1. Visit http://reading-web-staging.wmflabs.org/wiki/T158858.
  2. Hover over the "Rtl popups" link and wait for a preview to appear.
  3. Observe that a horizontal gradient appears on the LHS of the preview text.

Scenario 2: Text truncation on an LTR page for an RTL page

  1. Visit http://reading-web-staging.wmflabs.org/wiki/Category:Popups_corpus.
  2. Hover over the "Rtl popups" link and wait for a preview to appear.
  3. Observe that a horizontal gradient appears on the LHS of the preview text.
  4. Visit http://reading-web-staging.wmflabs.org/wiki/Category:Popups_corpus.
  5. Hover over the "Paper" link and wait for a preview to appear.
  6. Observe that a horizontal appears on the RHS of the preview text.

Original bug report

Steps to recreate:

  1. Go to: the page for Ada Lovelace as a logged in user on Hebrew Wikipedia
  2. Hover over ืžืชืžื˜ื™ืงืื™ืช

Expected behavior - horizontal gradient appears on the left side of text
Observed behavior - horizontal gradient appears on the right side of text

Details

Related Gerrit Patches:
mediawiki/extensions/Popups : mastertruncation: Fix fade direction for RTL previews
mediawiki/extensions/Popups : masteri18n: Fix popups fade on RTL
mediawiki/extensions/Popups : masterDon't flip extract truncation mechanism

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptFeb 23 2017, 2:49 PM
ovasileva triaged this task as High priority.Feb 23 2017, 2:49 PM

Change 339454 had a related patch set uploaded (by Phuedx):
Don't flip extract truncation mechanism

https://gerrit.wikimedia.org/r/339454

phuedx set the point value for this task to 1.Feb 23 2017, 6:15 PM
phuedx added a comment.EditedFeb 23 2017, 6:19 PM

We'll need a page on the staging server that has a page content language that's RTL with a link to a page that has a page content language that's RTL, e.g. RTL popups links to RTL popups part deux.

Change 339940 had a related patch set uploaded (by Phuedx):
i18n: Fix popups fade on RTL

https://gerrit.wikimedia.org/r/339940

Change 339454 abandoned by Phuedx:
Don't flip extract truncation mechanism

Reason:
Duplicated by I0d50a8b5.

https://gerrit.wikimedia.org/r/339454

Change 339940 merged by jenkins-bot:
i18n: Fix popups fade on RTL

https://gerrit.wikimedia.org/r/339940

phuedx updated the task description. (Show Details)Feb 27 2017, 10:28 AM
phuedx updated the task description. (Show Details)Feb 27 2017, 10:41 AM

Change 340106 had a related patch set uploaded (by Phuedx):
truncation: Fix fade direction for RTL previews

https://gerrit.wikimedia.org/r/340106

rEPOP84a60c4db7f7: truncation: Fix fade direction for RTL previews fixes the direction of the gradient used to truncate the preview text. The UBN!-like part of this task, the position of the truncating element, has already been fixed and can be tested on the staging server.

Jhernandez added a subscriber: Jhernandez.

Patch merged, ready for signoff/qa

Change 340106 merged by jenkins-bot:
truncation: Fix fade direction for RTL previews

https://gerrit.wikimedia.org/r/340106

ovasileva closed this task as Resolved.Feb 28 2017, 3:38 PM

Appearing as expected.